| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiHive.precedence.UniformTimeValue Class Reference
Inheritance diagram for GaudiHive.precedence.UniformTimeValue:
[legend]
Collaboration diagram for GaudiHive.precedence.UniformTimeValue:
[legend]

## Public Member Functions
def | __init__ (self, avgRuntime, varRuntime=0)
def | get (self, algoName='')

## Public Attributes
| avgRuntime
| varRuntime

## Detailed Description

    A class to manage uniform algorithm timing

Definition at line 26 of file precedence.py.

## Constructor & Destructor Documentation

def GaudiHive.precedence.UniformTimeValue.__init__ | ( |  | self,
|  |  | avgRuntime,
|  |  | varRuntime = `0`
| ) |  |

Definition at line 29 of file precedence.py.

29 def __init__(self, avgRuntime, varRuntime=0):
30
31 self.avgRuntime = avgRuntime
32 self.varRuntime = varRuntime
33
GaudiHive.precedence.UniformTimeValue.__init__
def __init__(self, avgRuntime, varRuntime=0)
Definition: precedence.py:29
GaudiHive.precedence.UniformTimeValue.varRuntime
varRuntime
Definition: precedence.py:32
GaudiHive.precedence.UniformTimeValue.avgRuntime
avgRuntime
Definition: precedence.py:31

## Member Function Documentation

def GaudiHive.precedence.UniformTimeValue.get | ( |  | self,
|  |  | algoName = `''`
| ) |  |

    Get time and its variance (in a tuple) for a given algorithm name

Definition at line 34 of file precedence.py.

34 def get(self, algoName=''):
35 """Get time and its variance (in a tuple) for a given algorithm name"""
36
37 return self.avgRuntime, self.varRuntime
38
39
GaudiHive.precedence.UniformTimeValue.get
def get(self, algoName='')
Definition: precedence.py:34
GaudiHive.precedence.UniformTimeValue.varRuntime
varRuntime
Definition: precedence.py:32
GaudiHive.precedence.UniformTimeValue.avgRuntime
avgRuntime
Definition: precedence.py:31

## Member Data Documentation

GaudiHive.precedence.UniformTimeValue.avgRuntime

Definition at line 31 of file precedence.py.

GaudiHive.precedence.UniformTimeValue.varRuntime

Definition at line 32 of file precedence.py.

The documentation for this class was generated from the following file:

- GaudiHive/python/GaudiHive/precedence.py